#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}

#-----------------------------------------------------------------------------
Name		:	mariadb-connector-odbc
Version		:	3.1.15
Release		:	14.8.0.0%{?dist}
Summary		:	The MariaDB Native Client library (ODBC driver)

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/mariadb-corporation/mariadb-connector-odbc/releases
Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc-c++
BuildRequires	:	unixODBC-devel
BuildRequires	:	mariadb

#-----------------------------------------------------------------------------
%description
MariaDB Connector/ODBC is a standardized, LGPL licensed
database driver using the industry standard Open Database
Connectivity (ODBC) API. It supports ODBC Standard 3.5,
can be used as a drop-in replacement for MySQL Connector/ODBC,
and it supports both Unicode and ANSI modes.
 
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root, -)
%doc     README
%license COPYING

#This is unixODBC plugin.
#It resides directly in %%{_libdir} to be consistent
#with the rest of unixODBC plugins. Since it is plugin,
#it doesn´t need to be versioned.
%{_libdir}/libmaodbc.so

# Pkgconfig
%{_libdir}/pkgconfig/libmaodbc.pc

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


mkdir build
cd build
cmake									\
	-D CMAKE_C_FLAGS="-I %{_includedir}/mysql"			\
	-D MARIADB_LINK_DYNAMIC=%{_libdir}/libmariadb.so		\
	-D INSTALL_LIB_SUFFIX=%{_libdir}				\
	-D INSTALL_LIBDIR=%{_libdir}					\
	-D CMAKE_BUILD_TYPE=RELEASE					\
	-D BUILD_SHARED_LIBS=ON						\
	..


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\
	VERBOSE=1		

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

%{__rm} -fr							\
	%{buildroot}%{_prefix}/local

#-----------------------------------------------------------------------------
%changelog
